get '/menuitem' do
    # list all menu items
    menu_items_json = MenuItem.eager_load(menu_sub_items: :menu_sub_sub_items)
    .order("menu_items.ordinal, menu_sub_items.ordinal, menu_sub_sub_items.ordinal")
    .to_json(:include => [:menu_sub_items => {:include => :menu_sub_sub_items}])
    etag xxhash(menu_items_json)
    menu_items_json
end
